Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

typelib-1_0-Peas-1_0-1.32.0-150400.4.3.2 RPM for s390x

From OpenSuSE Leap 15.5 for s390x

Name: typelib-1_0-Peas-1_0 Distribution: SUSE Linux Enterprise 15
Version: 1.32.0 Vendor: SUSE LLC <https://www.suse.com/>
Release: 150400.4.3.2 Build date: Mon Nov 7 07:10:12 2022
Group: System/Libraries Build host: s390zl38
Size: 9032 Source RPM: libpeas-1.32.0-150400.4.3.2.src.rpm
Packager: https://www.suse.com/
Url: https://wiki.gnome.org/Projects/Libpeas
Summary: Introspection bindings for libpeas, a GObject-based plugin engine
libpeas is a gobject-based plugin engine, and is targetted at giving
every application the chance to assume its own extensibility.

This package provides the GObject Introspection bindings for the libpeas
library.

Provides

Requires

License

LGPL-2.1-or-later

Changelog

* Sat Mar 19 2022 bjorn.lie@gmail.com
  - Update to version 1.32.0:
    + Icon licenses have been corrected.
    + Parallel build system operation fixes.
    + Various build warnings squashed.
    + Various GIR data that should not have been exported was
      removed.
    + Use gi-docgen for documentation.
    + Updated translations.
  - Drop patches fixed upstream:
    + a9d2ba590641d832dcf6b97184687b6eb424c00f.patch
    + dfc763c16c0ce66a180ccb13205f1ca9666278a8.patch
    + 2a976339f444d70f10949901a6ee2b1f8ccb24b6.patch
  - Replace gtk-doc with pkgconfig(gi-docgen) BuildRequires following
    upstream changes.
* Tue Feb 08 2022 bjorn.lie@gmail.com
  - Add upstream bug fix patches:
    + a9d2ba590641d832dcf6b97184687b6eb424c00f.patch: icons: Update
      icon licenses
    + dfc763c16c0ce66a180ccb13205f1ca9666278a8.patch: icons: Correct
      icon licenses again
    + 2a976339f444d70f10949901a6ee2b1f8ccb24b6.patch: Build: add
      embedded-resources.h to libembedded_dep
  - Use ldconfig_scriptlets macro for post(un) handling.
  - Update our Supplements to current standard.
  - Stop removing no longer exisiting la files, not present after the
    switch to meson build system.
  - Stop packaging the demo files/sub-package, pass demos=false to
    meson, and add libpeas-demo Obsolets to main lib.
  - Remove all traces of already disabled via bcond
    libpeas-loader-python sub-package, there is no chance we will
    package that again.
* Thu Sep 16 2021 sbrabec@suse.com
  - Remove obsolete translation-update-upstream support
    (jsc#SLE-21105).
* Sat Mar 20 2021 dimstar@opensuse.org
  - Update to version 1.30.0:
    + Build system improvements.
    + Improvements when running on Windows.
    + Updated translations.
* Mon Sep 14 2020 dimstar@opensuse.org
  - Update to version 1.28.0:
    + Do not build tests when introspection is disabled/missing
    + Updated translations.
* Sat Mar 07 2020 bjorn.lie@gmail.com
  - Update to version 1.26.0:
    + Simplified i18n usage.
    + Build system fixes.
    + Updated translations.
* Wed Feb 12 2020 dimstar@opensuse.org
  - Update to version 1.25.3:
    + Fix access to peas_gettext().
    + Fix duplicate rename-to annotations.
    + Tighten symbol availability for GLib symbols.
    + Fix various tests to work with G_DISABLE_ASSERT.
    + Fix building with luajit.
    + Add peas_extension_set_new_with_properties() to aid in using
      libpeas from language bindings.
    + Fix naming of Python2 loader.
    + Remove use of undocumented -export-dynamic.
    + Fis use of PeasExtension with GInitiallyUnowned.
    + Build fixes for macOS.
    + Fixes to pkg-config files.
    + Updated translations.
* Sat Jan 25 2020 dimstar@opensuse.org
  - No longer recommend -lang: supplements are in use
* Sat Jan 11 2020 bjorn.lie@gmail.com
  - Change %bcond_without python2 to %bcond_with python2, no longer
    build python2 support.
* Sat Jan 11 2020 bjorn.lie@gmail.com
  - Add explicit gtk-doc BuildRequires, previously pulled in via
    gobject-python-common-devel.
* Mon Oct 28 2019 bjorn.lie@gmail.com
  - Update to version 1.24.1:
    + Fix missing access to peas_gettext() in public ABI.
    + Fix loading of python2 plugin loader.
    + Fix use of -export-dynamic with Clang.
    + Various macOS build fixes.
    + Fixes for libpeas-gtk pkg-config generation.
    + Add support for GInitiallyUnowned with PeasExtension.
    + Updated translations.
  - Drop leftover _service and _servicedata files, package have been
    switched back to tarball releases in last unstable cycle.
* Fri Oct 04 2019 mgorse@suse.com
  - Require gettext, rather than gettext-runtime-mini.
* Tue Sep 10 2019 mgorse@suse.com
  - Update to version 1.24.0:
    + Setup troubleshooting environment when running automated tests.
    + Translation updates.
* Thu Sep 05 2019 mgorse@suse.com
  - Update to version 1.23.92:
    + Fix soname usage to match 1.22.x.
    + Fix typo in deprecation ignores.
    + Fix gtk_menu_popup() deprecations.
    + Fix meson build warning.
    + Translation updates.
  - Soname is 1.0-0 again.
  - Reinstate demo package; it is being installed again.
* Sat Aug 31 2019 mgorse@suse.com
  - Update to version 1.23.90.1:
    + Ensure that programs linking against libpeas-1.0 also link
      against gobject-introspection-1.0.
    + Changes in version 1.23.90:
    + Port to meson build system, autotools has been removed.
    + Support for python3.8 in the python3 loader.
    + Reduce warning impact of GParameter deprecations on API
      consumers.
    + Fix a number of deprecations in internal API.
    + Remove use of intltool in favor of gettext.
    + Add versioning macros and hide non-public symbols.
    + Translation updates.
  - Switch to meson.
  - Drop intltool from BuildRequires; require gettext-runtime-mini.
  - Pass libpeas-1.0 to %find_lang.
  - Python 2 loader is now named libpython2loader.so.
  - Update package names: soname is now 1_0-1.
  - Remove demo package: no longer installed.
* Wed Aug 28 2019 mgorse@suse.com
  - Remove libpeas-loader-python from Recommends. There is already a
    Supplements that will install it if python 2 is installed, and
    hopefully this will keep it off the LiveCD.
* Tue Mar 20 2018 dimstar@opensuse.org
  - Unconditionally enable translation-update-upstream: on
    Tumbleweed, this results in a NOP and for Leap in SLE paid
    translations being used (boo#1086036).
* Wed Feb 28 2018 dimstar@opensuse.org
  - Modernize spec-file by calling spec-cleaner
* Mon Jan 08 2018 zaitor@opensuse.org
  - Use make_build macro.
  - Avoid running fdupes across hardlink boundaries.
* Mon Jan 08 2018 tchvatal@suse.com
  - Update URL to reflect current web, old was 404.
  - Run spec-cleaner.
  - Fix typo on parallel build command call.
  - Conditionalize py2 and py3 build to allow us building of the
    one we desire based on codestream.
* Sun Sep 10 2017 dimstar@opensuse.org
  - Update to version 1.22.0:
    + Updated translations.
* Fri Sep 08 2017 jengelh@inai.de
  - Update description, RPM groups and old macros.
* Wed Aug 09 2017 zaitor@opensuse.org
  - Update to version 1.21.0+git.20170807:
    + Release 1.21.0.
* Tue Jul 04 2017 zaitor@opensuse.org
  - Update to version 1.21.0+git.20170609:
    + Consider all an interfaces potential properties.
    + Fix PeasEngine virtual annotations.
    + Allow extensions to be an Abstract Base Class.
    + Cache an extension type's base class and interfaces.
    + Updated translations.
  - Switch to sourceservice, add gnome-common BuildRequires and pass
    autogen.sh.
  - Following the above, pass --enable-gtk-doc to configure,
    explicitly build documentation, needed now that we are on a git
    checkout.
  - Conditionally apply translations-update-upstream BuildRequires
    and macro for non-openSUSE only.
  - Stop passing V=1 to make, we do debugging locally.
  - Drop post(un) handling of icon_theme_cache for libpeas-gtk-1_0-0,
    no longer needed as we now rely on file triggers.
* Mon Sep 19 2016 dimstar@opensuse.org
  - Update to version 1.20.0:
    + Updated translations.
* Wed Apr 13 2016 idonmez@suse.com
  - Update to GNOME 3.20  Fate#318572
* Mon Mar 21 2016 dimstar@opensuse.org
  - Update to version 1.18.0:
    + Updated translations.
* Tue Jan 26 2016 zaitor@opensuse.org
  - Update to version 1.17.0:
    + Fix Python plugin loader module paths.
    + Do not add pyexecdir to Python's paths at runtime.
    + Add support for embedded C plugins.
    + Order the PeasEngine:plugin-list by dependencies.
    + Keep plugins order in PeasExtensionSet.
    + Misc bugfixes.
    + Updated translations.
* Tue Nov 24 2015 fcrozat@suse.com
  - Update the list of recommended loaders:
    + Add python3 loader: most current apps are py3 by now, so
      recommending this loader makes sense (boo#956453).
* Tue Nov 24 2015 dimstar@opensuse.org
  - Update the list of recommended loaders:
    + Remove seed loader: it doesn't exist anymore since 1.13.
    + Add python3 loader: most current apps are py3 by now, so
      recommending this loader makes sense (boo#956453).
* Tue Sep 22 2015 dimstar@opensuse.org
  - Update to version 1.16.0:
    + Updated translations.
* Thu Jun 25 2015 zaitor@opensuse.org
  - Update to version 1.15.0:
    + Add g_autoptr() autocleanup support.
    + Fix Python tests on OpenBSD.
    + Fix libpeas crash on windows.
    + Simplify __all__ support in the Python plugin loader.
    + Misc bugfixes.
    + Updated translations.
* Tue Mar 24 2015 dimstar@opensuse.org
  - Update to version 1.14.0:
    + Misc bugfixes.
    + Updated translations.
* Mon Feb 16 2015 dimstar@opensuse.org
  - Update to version 1.13.0:
    + Removed support for Seed plugins.
    + Added support for Lua 5.1 plugins using the LGI bindings.
    + PeasEngine is now thread-safe.
    + Added support for non-global plugins loaders.
    + Load C plugins with local linkage.
    + Use Python to implement the plugin loader's logic.
    + Support Python plugins that define __all__.
    + Use Lua to implement the plugin loader's logic.
    + Prevent the accidental escaping of globals with Lua plugins.
    + Misc bugfixes.
    + Updated translations.
  - Remove seed loader specific parts:
    + Drop libseed-gtk3-devel BuildRequires:
    + Remove libpease-loader-seed subpackage.
  - Add LUA 5.1 loader support (conditional, currently disabled):
    + Add lua51-devel and pkgconfig(luajit) BuildRequires.
    + Add libpeas-loader-lua51 subpackage.
    + Pass --enable-lua51 to configure.

Files

/usr/lib64/girepository-1.0/Peas-1.0.typelib


Generated by rpm2html 1.8.1

Fabrice Bellet, Sun Jun 9 18:18:35 2024